# class YAML::Nodes::Alias

- YAML::Nodes::Alias
- YAML::Nodes::Node
- Reference
- Object

##
Overview

An alias.

##
Defined in:

##
Constructors

- .new(anchor : String)

  Creates an alias with the given anchor.

##
Instance Method Summary

- #to_yaml(builder : YAML::Builder)
- #value : Node?

  The node this alias points to.

- #value=(value : Node?)

  The node this alias points to.

### Instance methods inherited from class `YAML::Nodes::Node`

anchor : String? anchor, anchor=(anchor : String?) anchor=, end_column : Int32 end_column, end_column=(end_column) end_column=, end_line : Int32 end_line, end_line=(end_line) end_line=, location : Tuple(Int32, Int32) location, raise(message) raise, start_column : Int32 start_column, start_column=(start_column) start_column=, start_line : Int32 start_line, start_line=(start_line) start_line=, tag : String? tag, tag=(tag : String?) tag=

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(anchor : String) #

Creates an alias with the given anchor.

##
Instance Method Detail

def to_yaml(builder : YAML::Builder) #
def value : Node? #

The node this alias points to. This is set by `YAML::Nodes.parse`, and is `nil` by default.

def value=(value : Node?) #

The node this alias points to. This is set by `YAML::Nodes.parse`, and is `nil` by default.